Place pending order
POST/v1/trading/accounts/:account_id/orders
Creates a new pending order or sets SL/TP for a position with a new SLTP order. Order type may be:
- limit
- stop
- sltp
Market orders are not accepted by this method.
To open a position with immediate execution, use POST /v1/trading/accounts/{account_id}/positions.
Runtime restrictions:
- unavailable if trade_mode is trading_disabled
- unavailable if account_status is close_only, except for SLTP orders
Instrument-specific request validation:
- resolve validation inputs from
GET /v1/configuration/accounts/{account_id}/instruments/{instrument}/conditions volumemust satisfyvolume_min,volume_max, andvolume_step- request price fields (
price,stop_loss_price,take_profit_price) must use at mostpoint_digitsfractional digits - the implied minimum price increment is
10^-point_digits
The method returns ACK response. Final transaction result is delivered through Server Events.
Consistency and recovery notes:
- Closed positions and final-state orders are retained for 1 month (subject to clarification).
- If
operation_idis not received in the REST ACK response, or is not received in Server events subscription, or an unknownoperation_idis received, the client should restart Server events subscription and reconcile state using snapshots of currently open positions and pending orders.
Business errors:
- Requote
- Reject
- Cancel (trading disabled)
- Invalid (instrument, account is not found, internal error, invalid request parameters)
- InvalidVolume
- InvalidSLTP
- TradingDisabled (readOnly mode, account was disabled)
- MarketClosed
- NoMoney
- PriceOff
- TooManyTradeRequests
- ConnectionError
- Close Only
Request
Responses
- 202
- 400
- 401
- 403
- 410
- 500
ACK
Bad Request
Possible reasons:
- bad request
- trading disabled
Trading business errors may include:
- Requote
- Reject
- Cancel
- Invalid
- InvalidVolume
- InvalidSLTP
- TradingDisabled
- MarketClosed
- NoMoney
- PriceOff
- TooManyTradeRequests
- ConnectionError
- Close Only
Authorization failed
Forbidden
The API key does not have permission to perform trading operations. For example, ReadOnly API keys can only call read methods.
Invalid account
Internal Server Error
The server encountered an unexpected condition that prevented it from fulfilling the request.